org.openstreetmap.josm.plugins.streetside.cache

## Class Caches.MapObjectIconCache

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.cache.Caches.CacheProxy<java.lang.String,javax.swing.ImageIcon>
  - - org.openstreetmap.josm.plugins.streetside.cache.Caches.MapObjectIconCache

- Enclosing class:
    Caches

      public static class Caches.MapObjectIconCache
      extends Caches.CacheProxy<java.lang.String,javax.swing.ImageIcon>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static Caches.CacheProxy<java.lang.String,javax.swing.ImageIcon>` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapObjectIconCache()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.commons.jcs.access.CacheAccess<java.lang.String,javax.swing.ImageIcon>` | `createNewCache()`
    `static Caches.CacheProxy<java.lang.String,javax.swing.ImageIcon>` | `getInstance()`

    - ### Methods inherited from class org.openstreetmap.josm.plugins.streetside.cache.Caches.CacheProxy

      `get, put`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          private static Caches.CacheProxy<java.lang.String,javax.swing.ImageIcon> instance

  - ### Constructor Detail

    - #### MapObjectIconCache

          public MapObjectIconCache()

  - ### Method Detail

    - #### getInstance

          public static Caches.CacheProxy<java.lang.String,javax.swing.ImageIcon> getInstance()

    - #### createNewCache

          protected org.apache.commons.jcs.access.CacheAccess<java.lang.String,javax.swing.ImageIcon> createNewCache()
                                                                                                              throws java.io.IOException

      Specified by:
        `createNewCache` in class `Caches.CacheProxy<java.lang.String,javax.swing.ImageIcon>`
      Throws:
        `java.io.IOException`

JOSM Plugins